### Hierarchy

- DiscoverOptions

## Index

### Properties

- address
- broadcast
- checkInterval
- dictionary
- helloInterval
- isMasterEligible
- key
- masterTimeout
- mastersRequired
- multicast
- multicastTTL
- nodeTimeout
- port
- reuseAddr
- unicastPort
- weight

## Properties

### Optional address

address: string

- Defined in discover.ts:88

### Optional broadcast

broadcast: string

- Defined in discover.ts:93

### Optional checkInterval

checkInterval: number

- Defined in discover.ts:84

### Optional dictionary

dictionary: string[]

- Defined in discover.ts:92

### Optional helloInterval

helloInterval: number

- Defined in discover.ts:83

### Optional isMasterEligible

isMasterEligible: boolean

- Defined in discover.ts:98

### Optional key

key: string

- Defined in discover.ts:90

### Optional masterTimeout

masterTimeout: number

- Defined in discover.ts:86

### Optional mastersRequired

mastersRequired: number

- Defined in discover.ts:87

### Optional multicast

multicast: string

- Defined in discover.ts:94

### Optional multicastTTL

multicastTTL: number

- Defined in discover.ts:95

### Optional nodeTimeout

nodeTimeout: number

- Defined in discover.ts:85

### Optional port

port: number

- Defined in discover.ts:89

### Optional reuseAddr

reuseAddr: boolean

- Defined in discover.ts:91

### Optional unicastPort

unicastPort: number

- Defined in discover.ts:96

### Optional weight

weight: number

- Defined in discover.ts:97

Generated using TypeDoc